View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007730ParaView(No Category)public2008-09-24 16:012009-05-13 13:59
ReporterAlan Scott 
Assigned ToUtkarsh Ayachit 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.4Fixed in Version3.4 
Summary0007730: Edit Color Map icon is bad
DescriptionThis is replicated on ParaView trunk, assuming it is in 3.4. It must be fixed for the 3.4 release, if possible.

Local server. XP.
* Open disk_out_ref.exo. All variables on. Apply.
* Rotate the can so you can see inside.
* Edit_Color_Map icon on the main toolbar.
* Change color to dark red (top row, second from left). OK.
>>> Error - nothing changes.
* Next, change Solid Color to Temp.
>>> Error - All of the blue has gone black. Should a change to the solid color really effect the lights? I checked lights, they look OK. I checked materials (through the Edit Color Map on the Display tab), they seem OK.
* Note - I am using one headlight. Changing headlight color back to white didn't fix it.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0013582)
Utkarsh Ayachit (administrator)
2008-09-25 13:46

pqColorScaleToolbar wasn't push property value changes hence the
effect was delayed. vtkOpenGLScalarsToColorsPainter was erroneously enabling
color material when texture was used for scalar coloring. That resulted in
interference between the material properties and scalar color.


/cvsroot/ParaView3/ParaView3/VTK/Rendering/vtkOpenGLScalarsToColorsPainter.cxx,v <-- VTK/Rendering/vtkOpenGLScalarsToColorsPainter.cxx
new revision: 1.8; previous revision: 1.7
/cvsroot/ParaView3/ParaView3/Qt/Components/pqColorScaleToolbar.cxx,v <-- Qt/Components/pqColorScaleToolbar.cxx
new revision: 1.5; previous revision: 1.4
(0013611)
Alan Scott (manager)
2008-09-26 20:26

Very nice. Tested client/server.

- Issue History
Date Modified Username Field Change
2008-09-24 16:01 Alan Scott New Issue
2008-09-24 16:01 Alan Scott Status backlog => tabled
2008-09-24 16:01 Alan Scott Assigned To => Utkarsh Ayachit
2008-09-25 13:46 Utkarsh Ayachit Status tabled => @80@
2008-09-25 13:46 Utkarsh Ayachit Resolution open => fixed
2008-09-25 13:46 Utkarsh Ayachit Note Added: 0013582
2008-09-26 20:26 Alan Scott Status @80@ => closed
2008-09-26 20:26 Alan Scott Note Added: 0013611
2009-05-13 13:58 Utkarsh Ayachit Target Version => 3.4
2009-05-13 13:59 Utkarsh Ayachit Fixed in Version => 3.4
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker